Summary:	Application launcher
Name:		synapse
Version:	0.2.99.2
Release:	2
License:	GPL v3+
Group:		X11/Applications
Source0:	https://launchpad.net/synapse-project/0.3/%{version}/+download/%{name}-%{version}.tar.xz
# Source0-md5:	0d5559793377cee3b292db95f7ebcc4c
Patch0:		%{name}-mate.patch
Patch1:		%{name}-types.patch
URL:		http://synapse.zeitgeist-project.com/
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	json-glib-devel >= 0.10.0
BuildRequires:	keybinder3-devel
BuildRequires:	libappindicator-gtk3-devel
BuildRequires:	libgee-devel >= 0.5.2
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	rest-devel >= 0.7
BuildRequires:	vala >= 0.16.0
BuildRequires:	vala-libappindicator-gtk3
BuildRequires:	vala-libgee >= 0.6.4
BuildRequires:	vala-zeitgeist >= 0.9.14
BuildRequires:	zeitgeist-devel >= 0.9.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Synapse is a semantic launcher written in Vala that you can use to
start applications as well as find and access relevant documents and
files by making use of the Zeitgeist engine.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-librest=yes \
	--enable-zeitgeist=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_icon_cache hicolor
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/synapse
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_desktopdir}/*.desktop
%{_mandir}/man1/synapse.*
%changelog
* Tue May 16 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synapse.git;a=log;h=master

* Mon May 15 2017 Jan Palus <atler@pld-linux.org> 56a4ff7
- upstream revisions 652,653 to fix type compatibility; rel 2

* Sat Apr 16 2016 Jan Palus <atler@pld-linux.org> 0e3b38c
- libappindicator BRs

* Tue Mar 22 2016 Jan Palus <atler@pld-linux.org> c118d9e
- up to 0.2.99.2

* Sat Jan 31 2015 Jan Palus <atler@pld-linux.org> 01e79a4
- up to 0.2.99.1

* Tue Dec 02 2014 Jan Palus <atler@pld-linux.org> abc84f0
- lock screen support in mate patch
- adjusted icons for mate session plugin actions

* Sun Jul 13 2014 Jan Palus <atler@pld-linux.org> 9027cc7
- development snapshot built against gtk+3
- timeout patch no longer needed
- adjust mate patch
- update BRs

* Sat Jan 11 2014 Jan Palus <jan.palus@gmail.com> 4554b4c
- correct vala libgee/zeitgeist dependencies

* Sat Jan 11 2014 Jan Palus <jan.palus@gmail.com> 2791a63
- BR: libzeitgeist-devel instead of zeitgeist-devel

* Sat Jan 11 2014 Jan Palus <jan.palus@gmail.com> 2228af6
- add missing patch

* Sat Jan 11 2014 Jan Palus <jan.palus@gmail.com> d17b5f5
- fix build with patch for ambiguous Timeout (taken from Arch)
- rel 2

* Sun Aug 18 2013 Jan Palus <jan.palus@gmail.com> a992cc2
- run autotools
- add some more BRs
- patch for initial integration with mate desktop
- rel 1

* Mon Sep 10 2012 wrobell <wrobell@pld-linux.org> a896079
- updated files section

* Mon Sep 10 2012 wrobell <wrobell@pld-linux.org> 665cda2
- fixed build requirements

* Thu Aug 09 2012 wrobell <wrobell@pld-linux.org> 6b0ab60
- updated source md5

* Thu Aug 09 2012 wrobell <wrobell@pld-linux.org> f18e266
- started to work on synapse package

